Subject: Re: FVWM: Fvwm newbie's questions (problems with FvwmPager (and IconMan))

From: Brad Giaccio <[email-masked]>
Date: Mon, 1 May 2000 07:53:18 -0400

I can confirm this with current CVS and using sloppy focus as well, my
guess is that fvwm gets the leave notify from netscape when the menu
pops up but never gets the enter notify when it goes away.  I can't
recall who was looking at event code last, so if no one responds with an
idea I'll start looking.

Brad
On Mon, May 01, 2000 at 03:14:33PM +0400, Gregory A. Shimansky wrote:
> Hello here :)
> 
> Too long time since I posted my last (bug?) report. I am using fvwm 2.3.16
> on SUN sparc workstation running openwindows. I also run Netscape
> Communicator 4.7. I noticed some strange behaviour of FvwmPager with it. By
> the way, I use point-to-focus model.
> 
> When I have mouse in netscape window I see it focused on the pager (on the
> icon man too as far as I tested). The I press the right (third) mouse
> button to call netscape menu, the menu appears and with it netscape window
> is shown unfocused on the pager (and iconman). Then I release the button,
> the menu disappears and netscape window receives the keyboard focus back, I
> see netscape react to keypresses but it is shown unfocused on pager (and
> iconman). No window has focus according to the pager (and iconman).
> 
> I think this is a bug though a minor one. If I do something wrong, tell me
> please.
> 
> Hope it helps.
 
-- 
--- There are two kinds of knowledge, you either know the answer or
			you know where to find it
		      -Kane, Johnson, and anonymous
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 3 May 2000 05:14:19 +0200

> recall who was looking at event code last, so if no one responds with an

Most likely I was the last one looking, but I'm not too
eager to do it myself (look at the to do list and you know
what I mean).  With FvwmDebug I see that a non-fvwm managed
window gets the focus during the operation, so that's why
the window looses focus in the modules.  I'd rather not try
to understand focus events, though :-)

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]